summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-02-11 17:57:39 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2020-02-11 17:58:18 +0100
commit1a00974ce9505bf80414e8a1856ddca2c218d4e7 (patch)
tree7244e423c3b227a902046ba4d9c9be605a6ec0ff /dev-python/pycodestyle/pycodestyle-2.3.1.ebuild
parentsys-kernel/gentoo-sources: Linux patch 5.4.19 (diff)
downloadgentoo-1a00974ce9505bf80414e8a1856ddca2c218d4e7.tar.gz
gentoo-1a00974ce9505bf80414e8a1856ddca2c218d4e7.tar.bz2
gentoo-1a00974ce9505bf80414e8a1856ddca2c218d4e7.zip
dev-python/pycodestyle: Re-add 2.3.1 to unbreak dev-python/flake8...
Package-Manager: Portage-2.3.88, Repoman-2.3.20 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'dev-python/pycodestyle/pycodestyle-2.3.1.ebuild')
-rw-r--r--dev-python/pycodestyle/pycodestyle-2.3.1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/pycodestyle/pycodestyle-2.3.1.ebuild b/dev-python/pycodestyle/pycodestyle-2.3.1.ebuild
new file mode 100644
index 00000000000..d96e2d151da
--- /dev/null
+++ b/dev-python/pycodestyle/pycodestyle-2.3.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_6 pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python style guide checker (fka pep8)"
+HOMEPAGE="https://pypi.org/project/pycodestyle/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --statistics pycodestyle.py || die
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --testsuite=testsuite || die
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py --doctest -v || die
+ esetup.py test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}